#include "FireflyLantern.h"
#include "Net/UnrealNetwork.h"
#include "ChargerComponent.h"
#include "ChargeableComponent.h"

class AGenerator;

void AFireflyLantern::OnRep_RevealedGenerator(AGenerator* oldGenerator)
{

}

void AFireflyLantern::OnRep_LanternSpawnedFromChest()
{

}

void AFireflyLantern::OnRep_DestroyingPlayer()
{

}

void AFireflyLantern::OnLanternInteractionStarted()
{

}

void AFireflyLantern::OnLanternInteractionFinished()
{

}

void AFireflyLantern::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(AFireflyLantern, _revealedGenerator);
	DOREPLIFETIME(AFireflyLantern, _destroyingPlayer);
	DOREPLIFETIME(AFireflyLantern, _lanternSpawnedFromChest);
}

AFireflyLantern::AFireflyLantern()
{
	this->_itemChargerComponent = CreateDefaultSubobject<UChargerComponent>(TEXT("Charger"));
	this->_itemChargeableComponent = CreateDefaultSubobject<UChargeableComponent>(TEXT("ChargeableComponent"));
	this->_lanternSpawnedFromChest = false;
}
